locked
Can't update package due to wrong version number RRS feed

  • Question

  • I tried to update a submission to the app store and ran into trouble with the version numbers. When I set it to one higher than the previous version, I am told to set the version in the AppxManifest.xml to 0.0.0.0, but when I set it to 0.0.0.0, I am (essentially) being told to set it to a higher number than in the last submit. I am going in circles here, can anyone help to break out?

    Here are the error messages:

    Package acceptance validation error: Apps are not allowed to have a Version with a revision number other than zero specified in the app manifest. The package <package-name>.appx specifies 0.0.1.1

    Appx packages (including previously published and currently uploaded) must be uniquely identified by their full names. You have provided two packages with the full name <package-name>_0.0.0.0_X64_ which have different contents. Please remove one of these packages, or increment current package versions to continue.

    Friday, July 13, 2018 2:25 PM

Answers

  • I think because the version 0.0.1.1 is not accepted by store Usually the version format is major.minor[.build[.revision]].

    You cannot set the major and minor version as 0. Try to set version as 0.1.0.0, it should works.


    I'M a Mobile Developer.

    • Marked as answer by ChrisLeR Monday, July 16, 2018 1:31 PM
    Saturday, July 14, 2018 3:47 AM

All replies

  • I think because the version 0.0.1.1 is not accepted by store Usually the version format is major.minor[.build[.revision]].

    You cannot set the major and minor version as 0. Try to set version as 0.1.0.0, it should works.


    I'M a Mobile Developer.

    • Marked as answer by ChrisLeR Monday, July 16, 2018 1:31 PM
    Saturday, July 14, 2018 3:47 AM
  •  

    Hi ChrisLeR,

    As Tealc Wu said the last(forth) section of the version is reserved for Store use and must be left as 0 when you built your package. Packages that share a version number cannot also have the same architecture, because the full identity that the Store uses for each of your packages must be unique, so you’d better add higher-versioned package or remove one package. For more details about it , you can read the official document :Version numbering for Windows 10 packages and Version numbering for Windows 8.1 (and earlier)

    Best Regards
    Daisy  Tian


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Tuesday, July 17, 2018 2:02 AM